<?
/************************************************************************/
/* NPDS : Net Portal Dynamic System                                     */
/* ===========================                                          */
/*                                                                      */
/* Radio Frquence Page impression Copyright (c) 2005 by Tribal-Dolphin */
/* Version 1.1 du 13/10/2005                                            */
/*                                                                      */
/************************************************************************/

if (!isset($mainfile)) { include("mainfile.php"); }

global $pdst,$language, $Default_Theme;
$pdst = "0";
include_once("modules/$ModPath/lang/$language.php");
include_once("themes/$Default_Theme/theme.php");

//function hex2dec
//returns an associative array (keys: R,G,B) from
//a hex html code (e.g. #3FE5AA)
function hex2dec($couleur = "#000000"){
	$R = substr($couleur, 1, 2);
	$rouge = hexdec($R);
	$V = substr($couleur, 3, 2);
	$vert = hexdec($V);
	$B = substr($couleur, 5, 2);
	$bleu = hexdec($B);
	$tbl_couleur = array();
	$tbl_couleur['R']=$rouge;
	$tbl_couleur['G']=$vert;
	$tbl_couleur['B']=$bleu;
	return $tbl_couleur;
}

function PrintFreq() {
  global $sitename, $sortby, $sortorder, $filter, $NPDS_Prefix, $ModPath, $ModStart, $bgcolor1, $bgcolor2, $textcolor1;
  
  define("FPDF_FONTPATH","font/");
  require("print/pdf_table.php");

$brd_color = hex2dec("$bgcolor2");
$txt_color = hex2dec("$textcolor1");
$bg1_color = hex2dec("$bgcolor1");

$pdf=new PDF_Table();
$pdf->AddPage();
$pdf->SetProtection(array('print'));
$pdf->SetDisplayMode('real');
$pdf->AliasNbPages();
$pdf->SetCreator($sitename);
$pdf->SetAuthor($sitename);
$pdf->SetCompression(true);
$pdf->SetTitle("LES FRQUENCES");

// Titre
$pdf->SetFont('Arial','B',14);
$pdf->SetTextColor($txt_color['R'],$txt_color['G'],$txt_color['B']);
$pdf->Cell(195, 6, $fuser, 0, 1, 'C');
$pdf->Ln();

//initialise la table avec 5 colonnes
$pdf->Table_Init(4);

//style du tableau
$pdf->Set_Table_Type(
					array(
						'TB_ALIGN' => 'C',
						'BRD_COLOR' => array ($brd_color['R'],$brd_color['G'],$brd_color['B']),
						'BRD_SIZE' => 0.5
					));

//style de l'en-tte
$header_type = array(
			0=>array(
				'WIDTH' => 70,
				'T_COLOR' => array($txt_color['R'],$txt_color['G'],$txt_color['B']),
				'T_SIZE' => 8,
				'T_FONT' => 'Times',
				'T_ALIGN' => 'C',
				'T_TYPE' => 'BI',
				'LN_SIZE' => 6,
				'BG_COLOR' => array($bg1_color['R'],$bg1_color['G'],$bg1_color['B']),
				'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
				'BRD_SIZE' => 0.5,
				'BRD_TYPE' => '1',
				'TEXT' => radiofreq_trans("Nom"),
				),
			1=>array(
				'WIDTH' => 25,
				'T_COLOR' => array($txt_color['R'],$txt_color['G'],$txt_color['B']),
				'T_SIZE' => 8,
				'T_FONT' => 'Times',
				'T_ALIGN' => 'C',
				'T_TYPE' => 'BI',
				'LN_SIZE' => 6,
				'BG_COLOR' => array($bg1_color['R'],$bg1_color['G'],$bg1_color['B']),
				'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
				'BRD_SIZE' => 0.5,
				'BRD_TYPE' => '1',
				'TEXT' => radiofreq_trans("Frquence"),
				),
			2=>array(
				'WIDTH' => 25,
				'T_COLOR' => array($txt_color['R'],$txt_color['G'],$txt_color['B']),
				'T_SIZE' => 8,
				'T_FONT' => 'Times',
				'T_ALIGN' => 'C',
				'T_TYPE' => 'BI',
				'LN_SIZE' => 7,
				'BG_COLOR' => array($bg1_color['R'],$bg1_color['G'],$bg1_color['B']),
				'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
				'BRD_SIZE' => 0.5,
				'BRD_TYPE' => '1',
				'TEXT' => radiofreq_trans("Dpartement"),
				),
			3=>array(
				'WIDTH' => 50,
				'T_COLOR' => array($txt_color['R'],$txt_color['G'],$txt_color['B']),
				'T_SIZE' => 8,
				'T_FONT' => 'Times',
				'T_ALIGN' => 'C',
				'T_TYPE' => 'BI',
				'LN_SIZE' => 7,
				'BG_COLOR' => array($bg1_color['R'],$bg1_color['G'],$bg1_color['B']),
				'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
				'BRD_SIZE' => 0.5,
				'BRD_TYPE' => '1',
				'TEXT' => radiofreq_trans("Ville"),
				)
	  );
$pdf->Set_Header_Type($header_type);

//style des donnes
$data_type = array (
		0=>array(
			'T_COLOR' => array(0,0,0),
			'T_SIZE' => 8,
			'T_FONT' => 'Arial',
			'T_ALIGN' => 'C',
			'T_TYPE' => '',
			'LN_SIZE' => 4,
			'BG_COLOR' => array(255,255,255),
			'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
			'BRD_SIZE' => 0.5,
			'BRD_TYPE' => '1',
			),
		1=>array(
			'T_COLOR' => array(0,0,0),
			'T_SIZE' => 8,
			'T_FONT' => 'Arial',
			'T_ALIGN' => 'C',
			'T_TYPE' => '',
			'LN_SIZE' => 5,
			'BG_COLOR' => array(255,255,255),
			'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
			'BRD_SIZE' => 0.5,
			'BRD_TYPE' => '1',
			),
		2=>array(
			'T_COLOR' => array(0,0,0),
			'T_SIZE' => 8,
			'T_FONT' => 'Arial',
			'T_ALIGN' => 'C',
			'T_TYPE' => '',
			'LN_SIZE' => 5,
			'BG_COLOR' => array(255,255,255),
			'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
			'BRD_SIZE' => 0.5,
			'BRD_TYPE' => '1',
			),
		3=>array(
			'T_COLOR' => array(0,0,0),
			'T_SIZE' => 8,
			'T_FONT' => 'Arial',
			'T_ALIGN' => 'C',
			'T_TYPE' => '',
			'LN_SIZE' => 5,
			'BG_COLOR' => array(255,255,255),
			'BRD_COLOR' => array($brd_color['R'],$brd_color['G'],$brd_color['B']),
			'BRD_SIZE' => 0.5,
			'BRD_TYPE' => '1',
			)
	  );
$pdf->Set_Data_Type($data_type);

//affiche le premier en-tte
$pdf->Draw_Header();

  // Les donnes
  $filter = stripslashes(urldecode($filter));
  $sql = "SELECT radio, frequence, dept, zone FROM ".$NPDS_Prefix."td_radio WHERE valid='1'$filter ORDER BY $sortby $sortorder";
  $result = mysql_query($sql);
  while(list($chaname, $chanfreq, $chandept, $chanville) = mysql_fetch_row($result)) {
	$data = Array();
	
    $data[0]['TEXT'] = stripslashes($chaname);
    $data[1]['TEXT'] = $chanfreq." MHz";
    $data[2]['TEXT'] = $chandept;
    $data[3]['TEXT'] = stripslashes($chanville);

	$pdf->Draw_Data($data);
  }

$pdf->Draw_Table_Border();
$pdf->Output("frequences.pdf","I");
}

PrintFreq();

?>